/* --COPYRIGHT--,BSD
 * Copyright (c) 2014, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/
 
//*****************************************************************************
// TIDM-CAPTIVATE-64-BUTTON_IllegalTouchDemo.h
//
//! \version 1.00.00.00
//
//! Created on: Oct 23, 2015
//
//*****************************************************************************

//*****************************************************************************
//! \addtogroup Illegal_Touch_Detect_Demo
//! @{
//*****************************************************************************

#ifndef DEMO_TIDM_CAPTIVATE_64_BUTTON_ILLEGALTOUCHDEMO_H_
#define DEMO_TIDM_CAPTIVATE_64_BUTTON_ILLEGALTOUCHDEMO_H_

//**********************************************************************************
// Defines
//**********************************************************************************

//**********************************************************************************
//
//! \brief Max number of buttons that can be simultaneously touched
//
//**********************************************************************************
#define DEMO_KEYPAD_MAX_TOUCH_ALLOWED 3

//**********************************************************************************
//
//! \brief Max number of additional buttons allowed in undebounced prox detect state
//
//**********************************************************************************
#define DEMO_KEYPAD_MAX_DETECT_ALLOWED 1

//**********************************************************************************
//
//! \brief Delay in ACLK cycles during which valid touches are masked
//
//**********************************************************************************
#define DEMO_KEYPAD_TOUCH_MASK_DELAY 32768

//**********************************************************************************
// Function Prototypes
//**********************************************************************************

//**********************************************************************************
//
//! \brief Register callback function for 64 button keypad
//
//**********************************************************************************
extern void Demo_registerKeypadCallback(void);

#endif /* DEMO_TIDM_CAPTIVATE_64_BUTTON_ILLEGALTOUCHDEMO_H_ */

//*****************************************************************************
// Close the Doxygen group.
//! @}
//*****************************************************************************
