/* --COPYRIGHT--,BSD
 * Copyright (c) 2014, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/
 
// Generated by Captivate Design Center v1_00_00_00 on Tue Oct 27 13:51:08 CDT 2015


//*****************************************************************************
// CAPT_UserConfig.c
//
// \version 1.01.01.00
// Released on Thu, Oct 15, 2015 12:27:24 AM
//
//*****************************************************************************

//*****************************************************************************
//
// NOTE: This is an automatically generated source code file!  The Captivate
// Design Center generates the User Configuration file automatically based
// upon the sensor layout that was created.
//
// Changes to this file will be OVERWRITTEN if a you select
// "Update Existing Project" under "Generate Source Code" in the Design Center.
//
// To avoid interference with the code generation process, keep ALL application
// code external to this file.
//
//*****************************************************************************

#include "CAPT_UserConfig.h"

//*****************************************************************************
//
//! Captivate Element Definitions
//! All elements in this application are defined below.
//! Each element has 3 components:
//!  1) a raw count array (One index per freq. scanned) (uint16_t)
//!  2) a tuning array (One index per freq. scanned) (tCaptivateElementTuning)
//!  3) a element structure (tElement)
//
//*****************************************************************************
// Sensor: keypad64Button, Element: E00
uint16_t keypad64Button_E00_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E00_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E00 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 20,
    .pRawCount = keypad64Button_E00_RawCnts,
    .pTuning = keypad64Button_E00_Tuning,
};

// Sensor: keypad64Button, Element: E02
uint16_t keypad64Button_E02_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E02_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E02 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 11,
    .pRawCount = keypad64Button_E02_RawCnts,
    .pTuning = keypad64Button_E02_Tuning,
};

// Sensor: keypad64Button, Element: E04
uint16_t keypad64Button_E04_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E04_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E04 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 27,
    .pRawCount = keypad64Button_E04_RawCnts,
    .pTuning = keypad64Button_E04_Tuning,
};

// Sensor: keypad64Button, Element: E06
uint16_t keypad64Button_E06_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E06_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E06 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 32,
    .pRawCount = keypad64Button_E06_RawCnts,
    .pTuning = keypad64Button_E06_Tuning,
};

// Sensor: keypad64Button, Element: E01
uint16_t keypad64Button_E01_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E01_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E01 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 20,
    .pRawCount = keypad64Button_E01_RawCnts,
    .pTuning = keypad64Button_E01_Tuning,
};

// Sensor: keypad64Button, Element: E03
uint16_t keypad64Button_E03_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E03_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E03 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 25,
    .pRawCount = keypad64Button_E03_RawCnts,
    .pTuning = keypad64Button_E03_Tuning,
};

// Sensor: keypad64Button, Element: E05
uint16_t keypad64Button_E05_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E05_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E05 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 30,
    .pRawCount = keypad64Button_E05_RawCnts,
    .pTuning = keypad64Button_E05_Tuning,
};

// Sensor: keypad64Button, Element: E07
uint16_t keypad64Button_E07_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E07_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E07 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 30,
    .pRawCount = keypad64Button_E07_RawCnts,
    .pTuning = keypad64Button_E07_Tuning,
};

// Sensor: keypad64Button, Element: E08
uint16_t keypad64Button_E08_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E08_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E08 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 0,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 25,
    .pRawCount = keypad64Button_E08_RawCnts,
    .pTuning = keypad64Button_E08_Tuning,
};

// Sensor: keypad64Button, Element: E10
uint16_t keypad64Button_E10_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E10_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E10 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 0,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 30,
    .pRawCount = keypad64Button_E10_RawCnts,
    .pTuning = keypad64Button_E10_Tuning,
};

// Sensor: keypad64Button, Element: E12
uint16_t keypad64Button_E12_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E12_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E12 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 0,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 40,
    .pRawCount = keypad64Button_E12_RawCnts,
    .pTuning = keypad64Button_E12_Tuning,
};

// Sensor: keypad64Button, Element: E14
uint16_t keypad64Button_E14_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E14_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E14 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 0,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 30,
    .pRawCount = keypad64Button_E14_RawCnts,
    .pTuning = keypad64Button_E14_Tuning,
};

// Sensor: keypad64Button, Element: E09
uint16_t keypad64Button_E09_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E09_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E09 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = keypad64Button_E09_RawCnts,
    .pTuning = keypad64Button_E09_Tuning,
};

// Sensor: keypad64Button, Element: E11
uint16_t keypad64Button_E11_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E11_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E11 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 33,
    .pRawCount = keypad64Button_E11_RawCnts,
    .pTuning = keypad64Button_E11_Tuning,
};

// Sensor: keypad64Button, Element: E13
uint16_t keypad64Button_E13_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E13_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E13 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 30,
    .pRawCount = keypad64Button_E13_RawCnts,
    .pTuning = keypad64Button_E13_Tuning,
};

// Sensor: keypad64Button, Element: E15
uint16_t keypad64Button_E15_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E15_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E15 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 28,
    .pRawCount = keypad64Button_E15_RawCnts,
    .pTuning = keypad64Button_E15_Tuning,
};

// Sensor: keypad64Button, Element: E16
uint16_t keypad64Button_E16_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E16_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E16 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 26,
    .pRawCount = keypad64Button_E16_RawCnts,
    .pTuning = keypad64Button_E16_Tuning,
};

// Sensor: keypad64Button, Element: E18
uint16_t keypad64Button_E18_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E18_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E18 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 26,
    .pRawCount = keypad64Button_E18_RawCnts,
    .pTuning = keypad64Button_E18_Tuning,
};

// Sensor: keypad64Button, Element: E20
uint16_t keypad64Button_E20_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E20_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E20 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 29,
    .pRawCount = keypad64Button_E20_RawCnts,
    .pTuning = keypad64Button_E20_Tuning,
};

// Sensor: keypad64Button, Element: E22
uint16_t keypad64Button_E22_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E22_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E22 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 33,
    .pRawCount = keypad64Button_E22_RawCnts,
    .pTuning = keypad64Button_E22_Tuning,
};

// Sensor: keypad64Button, Element: E17
uint16_t keypad64Button_E17_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E17_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E17 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 28,
    .pRawCount = keypad64Button_E17_RawCnts,
    .pTuning = keypad64Button_E17_Tuning,
};

// Sensor: keypad64Button, Element: E19
uint16_t keypad64Button_E19_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E19_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E19 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 10,
    .pRawCount = keypad64Button_E19_RawCnts,
    .pTuning = keypad64Button_E19_Tuning,
};

// Sensor: keypad64Button, Element: E21
uint16_t keypad64Button_E21_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E21_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E21 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 33,
    .pRawCount = keypad64Button_E21_RawCnts,
    .pTuning = keypad64Button_E21_Tuning,
};

// Sensor: keypad64Button, Element: E23
uint16_t keypad64Button_E23_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E23_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E23 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 27,
    .pRawCount = keypad64Button_E23_RawCnts,
    .pTuning = keypad64Button_E23_Tuning,
};

// Sensor: keypad64Button, Element: E24
uint16_t keypad64Button_E24_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E24_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E24 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 25,
    .pRawCount = keypad64Button_E24_RawCnts,
    .pTuning = keypad64Button_E24_Tuning,
};

// Sensor: keypad64Button, Element: E26
uint16_t keypad64Button_E26_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E26_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E26 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 28,
    .pRawCount = keypad64Button_E26_RawCnts,
    .pTuning = keypad64Button_E26_Tuning,
};

// Sensor: keypad64Button, Element: E28
uint16_t keypad64Button_E28_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E28_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E28 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 10,
    .pRawCount = keypad64Button_E28_RawCnts,
    .pTuning = keypad64Button_E28_Tuning,
};

// Sensor: keypad64Button, Element: E30
uint16_t keypad64Button_E30_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E30_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E30 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 33,
    .pRawCount = keypad64Button_E30_RawCnts,
    .pTuning = keypad64Button_E30_Tuning,
};

// Sensor: keypad64Button, Element: E25
uint16_t keypad64Button_E25_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E25_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E25 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 30,
    .pRawCount = keypad64Button_E25_RawCnts,
    .pTuning = keypad64Button_E25_Tuning,
};

// Sensor: keypad64Button, Element: E27
uint16_t keypad64Button_E27_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E27_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E27 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 27,
    .pRawCount = keypad64Button_E27_RawCnts,
    .pTuning = keypad64Button_E27_Tuning,
};

// Sensor: keypad64Button, Element: E29
uint16_t keypad64Button_E29_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E29_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E29 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 32,
    .pRawCount = keypad64Button_E29_RawCnts,
    .pTuning = keypad64Button_E29_Tuning,
};

// Sensor: keypad64Button, Element: E31
uint16_t keypad64Button_E31_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E31_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E31 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 30,
    .pRawCount = keypad64Button_E31_RawCnts,
    .pTuning = keypad64Button_E31_Tuning,
};

// Sensor: keypad64Button, Element: E32
uint16_t keypad64Button_E32_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E32_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E32 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 30,
    .pRawCount = keypad64Button_E32_RawCnts,
    .pTuning = keypad64Button_E32_Tuning,
};

// Sensor: keypad64Button, Element: E34
uint16_t keypad64Button_E34_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E34_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E34 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 33,
    .pRawCount = keypad64Button_E34_RawCnts,
    .pTuning = keypad64Button_E34_Tuning,
};

// Sensor: keypad64Button, Element: E36
uint16_t keypad64Button_E36_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E36_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E36 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 30,
    .pRawCount = keypad64Button_E36_RawCnts,
    .pTuning = keypad64Button_E36_Tuning,
};

// Sensor: keypad64Button, Element: E38
uint16_t keypad64Button_E38_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E38_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E38 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 25,
    .pRawCount = keypad64Button_E38_RawCnts,
    .pTuning = keypad64Button_E38_Tuning,
};

// Sensor: keypad64Button, Element: E33
uint16_t keypad64Button_E33_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E33_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E33 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 31,
    .pRawCount = keypad64Button_E33_RawCnts,
    .pTuning = keypad64Button_E33_Tuning,
};

// Sensor: keypad64Button, Element: E35
uint16_t keypad64Button_E35_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E35_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E35 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 31,
    .pRawCount = keypad64Button_E35_RawCnts,
    .pTuning = keypad64Button_E35_Tuning,
};

// Sensor: keypad64Button, Element: E37
uint16_t keypad64Button_E37_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E37_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E37 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 33,
    .pRawCount = keypad64Button_E37_RawCnts,
    .pTuning = keypad64Button_E37_Tuning,
};

// Sensor: keypad64Button, Element: E39
uint16_t keypad64Button_E39_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E39_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E39 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 10,
    .pRawCount = keypad64Button_E39_RawCnts,
    .pTuning = keypad64Button_E39_Tuning,
};

// Sensor: keypad64Button, Element: E40
uint16_t keypad64Button_E40_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E40_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E40 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 26,
    .pRawCount = keypad64Button_E40_RawCnts,
    .pTuning = keypad64Button_E40_Tuning,
};

// Sensor: keypad64Button, Element: E42
uint16_t keypad64Button_E42_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E42_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E42 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 30,
    .pRawCount = keypad64Button_E42_RawCnts,
    .pTuning = keypad64Button_E42_Tuning,
};

// Sensor: keypad64Button, Element: E44
uint16_t keypad64Button_E44_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E44_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E44 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 32,
    .pRawCount = keypad64Button_E44_RawCnts,
    .pTuning = keypad64Button_E44_Tuning,
};

// Sensor: keypad64Button, Element: E46
uint16_t keypad64Button_E46_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E46_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E46 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 26,
    .pRawCount = keypad64Button_E46_RawCnts,
    .pTuning = keypad64Button_E46_Tuning,
};

// Sensor: keypad64Button, Element: E41
uint16_t keypad64Button_E41_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E41_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E41 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 27,
    .pRawCount = keypad64Button_E41_RawCnts,
    .pTuning = keypad64Button_E41_Tuning,
};

// Sensor: keypad64Button, Element: E43
uint16_t keypad64Button_E43_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E43_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E43 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 25,
    .pRawCount = keypad64Button_E43_RawCnts,
    .pTuning = keypad64Button_E43_Tuning,
};

// Sensor: keypad64Button, Element: E45
uint16_t keypad64Button_E45_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E45_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E45 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 24,
    .pRawCount = keypad64Button_E45_RawCnts,
    .pTuning = keypad64Button_E45_Tuning,
};

// Sensor: keypad64Button, Element: E47
uint16_t keypad64Button_E47_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E47_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E47 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 23,
    .pRawCount = keypad64Button_E47_RawCnts,
    .pTuning = keypad64Button_E47_Tuning,
};

// Sensor: keypad64Button, Element: E48
uint16_t keypad64Button_E48_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E48_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E48 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 25,
    .pRawCount = keypad64Button_E48_RawCnts,
    .pTuning = keypad64Button_E48_Tuning,
};

// Sensor: keypad64Button, Element: E50
uint16_t keypad64Button_E50_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E50_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E50 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 29,
    .pRawCount = keypad64Button_E50_RawCnts,
    .pTuning = keypad64Button_E50_Tuning,
};

// Sensor: keypad64Button, Element: E52
uint16_t keypad64Button_E52_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E52_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E52 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 26,
    .pRawCount = keypad64Button_E52_RawCnts,
    .pTuning = keypad64Button_E52_Tuning,
};

// Sensor: keypad64Button, Element: E54
uint16_t keypad64Button_E54_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E54_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E54 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 10,
    .pRawCount = keypad64Button_E54_RawCnts,
    .pTuning = keypad64Button_E54_Tuning,
};

// Sensor: keypad64Button, Element: E49
uint16_t keypad64Button_E49_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E49_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E49 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 30,
    .pRawCount = keypad64Button_E49_RawCnts,
    .pTuning = keypad64Button_E49_Tuning,
};

// Sensor: keypad64Button, Element: E51
uint16_t keypad64Button_E51_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E51_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E51 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 30,
    .pRawCount = keypad64Button_E51_RawCnts,
    .pTuning = keypad64Button_E51_Tuning,
};

// Sensor: keypad64Button, Element: E53
uint16_t keypad64Button_E53_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E53_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E53 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 22,
    .pRawCount = keypad64Button_E53_RawCnts,
    .pTuning = keypad64Button_E53_Tuning,
};

// Sensor: keypad64Button, Element: E55
uint16_t keypad64Button_E55_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E55_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E55 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 20,
    .pRawCount = keypad64Button_E55_RawCnts,
    .pTuning = keypad64Button_E55_Tuning,
};

// Sensor: keypad64Button, Element: E56
uint16_t keypad64Button_E56_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E56_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E56 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 26,
    .pRawCount = keypad64Button_E56_RawCnts,
    .pTuning = keypad64Button_E56_Tuning,
};

// Sensor: keypad64Button, Element: E58
uint16_t keypad64Button_E58_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E58_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E58 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 26,
    .pRawCount = keypad64Button_E58_RawCnts,
    .pTuning = keypad64Button_E58_Tuning,
};

// Sensor: keypad64Button, Element: E60
uint16_t keypad64Button_E60_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E60_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E60 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 24,
    .pRawCount = keypad64Button_E60_RawCnts,
    .pTuning = keypad64Button_E60_Tuning,
};

// Sensor: keypad64Button, Element: E62
uint16_t keypad64Button_E62_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E62_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E62 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 24,
    .pRawCount = keypad64Button_E62_RawCnts,
    .pTuning = keypad64Button_E62_Tuning,
};

// Sensor: keypad64Button, Element: E57
uint16_t keypad64Button_E57_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E57_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E57 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 31,
    .pRawCount = keypad64Button_E57_RawCnts,
    .pTuning = keypad64Button_E57_Tuning,
};

// Sensor: keypad64Button, Element: E59
uint16_t keypad64Button_E59_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E59_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E59 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 30,
    .pRawCount = keypad64Button_E59_RawCnts,
    .pTuning = keypad64Button_E59_Tuning,
};

// Sensor: keypad64Button, Element: E61
uint16_t keypad64Button_E61_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E61_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E61 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 10,
    .pRawCount = keypad64Button_E61_RawCnts,
    .pTuning = keypad64Button_E61_Tuning,
};

// Sensor: keypad64Button, Element: E63
uint16_t keypad64Button_E63_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad64Button_E63_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad64Button_E63 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 25,
    .pRawCount = keypad64Button_E63_RawCnts,
    .pTuning = keypad64Button_E63_Tuning,
};


//*****************************************************************************
//
//! Captivate Time Cycle Definitions
//! All time cycles in this application are defined below.  Time cycles are
//! groups of elements that are measured together in parallel in one time slot.
//! Each cycle has 2 components:
//!  1) an element pointer array to the member elements (tElement*)
//!  2) a cycle structure (tCycle)
//
//*****************************************************************************
// Time Cycle: keypad64Button_C00
tElement* keypad64Button_C00_Elements[4] =
{
    &keypad64Button_E00,
    &keypad64Button_E02,
    &keypad64Button_E04,
    &keypad64Button_E06,
};
tCycle keypad64Button_C00 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad64Button_C00_Elements,
};

// Time Cycle: keypad64Button_C01
tElement* keypad64Button_C01_Elements[4] =
{
    &keypad64Button_E01,
    &keypad64Button_E03,
    &keypad64Button_E05,
    &keypad64Button_E07,
};
tCycle keypad64Button_C01 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad64Button_C01_Elements,
};

// Time Cycle: keypad64Button_C02
tElement* keypad64Button_C02_Elements[4] =
{
    &keypad64Button_E08,
    &keypad64Button_E10,
    &keypad64Button_E12,
    &keypad64Button_E14,
};
tCycle keypad64Button_C02 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad64Button_C02_Elements,
};

// Time Cycle: keypad64Button_C03
tElement* keypad64Button_C03_Elements[4] =
{
    &keypad64Button_E09,
    &keypad64Button_E11,
    &keypad64Button_E13,
    &keypad64Button_E15,
};
tCycle keypad64Button_C03 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad64Button_C03_Elements,
};

// Time Cycle: keypad64Button_C04
tElement* keypad64Button_C04_Elements[4] =
{
    &keypad64Button_E16,
    &keypad64Button_E18,
    &keypad64Button_E20,
    &keypad64Button_E22,
};
tCycle keypad64Button_C04 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad64Button_C04_Elements,
};

// Time Cycle: keypad64Button_C05
tElement* keypad64Button_C05_Elements[4] =
{
    &keypad64Button_E17,
    &keypad64Button_E19,
    &keypad64Button_E21,
    &keypad64Button_E23,
};
tCycle keypad64Button_C05 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad64Button_C05_Elements,
};

// Time Cycle: keypad64Button_C06
tElement* keypad64Button_C06_Elements[4] =
{
    &keypad64Button_E24,
    &keypad64Button_E26,
    &keypad64Button_E28,
    &keypad64Button_E30,
};
tCycle keypad64Button_C06 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad64Button_C06_Elements,
};

// Time Cycle: keypad64Button_C07
tElement* keypad64Button_C07_Elements[4] =
{
    &keypad64Button_E25,
    &keypad64Button_E27,
    &keypad64Button_E29,
    &keypad64Button_E31,
};
tCycle keypad64Button_C07 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad64Button_C07_Elements,
};

// Time Cycle: keypad64Button_C08
tElement* keypad64Button_C08_Elements[4] =
{
    &keypad64Button_E32,
    &keypad64Button_E34,
    &keypad64Button_E36,
    &keypad64Button_E38,
};
tCycle keypad64Button_C08 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad64Button_C08_Elements,
};

// Time Cycle: keypad64Button_C09
tElement* keypad64Button_C09_Elements[4] =
{
    &keypad64Button_E33,
    &keypad64Button_E35,
    &keypad64Button_E37,
    &keypad64Button_E39,
};
tCycle keypad64Button_C09 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad64Button_C09_Elements,
};

// Time Cycle: keypad64Button_C10
tElement* keypad64Button_C10_Elements[4] =
{
    &keypad64Button_E40,
    &keypad64Button_E42,
    &keypad64Button_E44,
    &keypad64Button_E46,
};
tCycle keypad64Button_C10 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad64Button_C10_Elements,
};

// Time Cycle: keypad64Button_C11
tElement* keypad64Button_C11_Elements[4] =
{
    &keypad64Button_E41,
    &keypad64Button_E43,
    &keypad64Button_E45,
    &keypad64Button_E47,
};
tCycle keypad64Button_C11 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad64Button_C11_Elements,
};

// Time Cycle: keypad64Button_C12
tElement* keypad64Button_C12_Elements[4] =
{
    &keypad64Button_E48,
    &keypad64Button_E50,
    &keypad64Button_E52,
    &keypad64Button_E54,
};
tCycle keypad64Button_C12 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad64Button_C12_Elements,
};

// Time Cycle: keypad64Button_C13
tElement* keypad64Button_C13_Elements[4] =
{
    &keypad64Button_E49,
    &keypad64Button_E51,
    &keypad64Button_E53,
    &keypad64Button_E55,
};
tCycle keypad64Button_C13 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad64Button_C13_Elements,
};

// Time Cycle: keypad64Button_C14
tElement* keypad64Button_C14_Elements[4] =
{
    &keypad64Button_E56,
    &keypad64Button_E58,
    &keypad64Button_E60,
    &keypad64Button_E62,
};
tCycle keypad64Button_C14 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad64Button_C14_Elements,
};

// Time Cycle: keypad64Button_C15
tElement* keypad64Button_C15_Elements[4] =
{
    &keypad64Button_E57,
    &keypad64Button_E59,
    &keypad64Button_E61,
    &keypad64Button_E63,
};
tCycle keypad64Button_C15 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad64Button_C15_Elements,
};


//*****************************************************************************
//
//! Captivate Sensor Definitions
//! All sensors in this application are defined below.  Sensors are
//! groups of time cycles that utilize raw measurement data to create an
//! abstract sensor type, such as a button, slider, wheel, or prox sensor.
//! Each sensor has 3 components:
//!  1) a cycle pointer array to the member time cycles (tCycle*)
//!  2) a sensor-specific parameter structure (tGenericSensorParams)
//!  3) a sensor structure (tSensor)
//
//*****************************************************************************
//Sensor: keypad64Button
const tCycle* keypad64Button_Cycles[16] =
{
    &keypad64Button_C00,
    &keypad64Button_C01,
    &keypad64Button_C02,
    &keypad64Button_C03,
    &keypad64Button_C04,
    &keypad64Button_C05,
    &keypad64Button_C06,
    &keypad64Button_C07,
    &keypad64Button_C08,
    &keypad64Button_C09,
    &keypad64Button_C10,
    &keypad64Button_C11,
    &keypad64Button_C12,
    &keypad64Button_C13,
    &keypad64Button_C14,
    &keypad64Button_C15,
};

tButtonSensorParams keypad64Button_Params;
tSensor keypad64Button =
{
    // Basic Properties
    .TypeOfSensor = eButtonGroup,
    .SensingMethod = eProjected,
    .DirectionOfInterest = eDOIUp,
    .pvCallback = NULL,
    .ui8NrOfCycles = 16,
    .pCycle = keypad64Button_Cycles,
    .pSensorParams = (tGenericSensorParams*)&keypad64Button_Params,
    // Conversion Control Parameters
    .ui16ConversionCount = 250,
    .ui16ConversionGain = 100,
    .ui8FreqDiv = 1,
    .ui8ChargeLength = 0,
    .ui8TransferLength = 0,
    .bModEnable = false,
    .ui8BiasControl = 1,
    .bCsDischarge = true,
    .bLpmControl = false,
    .ui8InputSyncControl = 0,
    .bTimerSyncControl = false,
    .bIdleState = true,
    // Tuning  Parameters
    .ui16ProxThreshold = 12,
    .ui16NegativeTouchThreshold = 20,
    .ui16ErrorThreshold = 500,
    .ui16TimeoutThreshold = 1000,
    .ProxDbThreshold.DbIn = 0,
    .ProxDbThreshold.DbOut = 0,
    .TouchDbThreshold.DbIn = 0,
    .TouchDbThreshold.DbOut = 0,
    .bCountFilterEnable = false,
    .ui8CntBeta = 2,
    .bSensorHalt = false,
    .bPTSensorHalt = true,
    .bPTElementHalt = true,
    .ui8LTABeta = 7,
    .bReCalibrateEnable = false,
};


//*****************************************************************************
//
//! \var g_pCaptivateSensorArray
//! This array allows for indexed access to any
//! sensor in the configuration.
//
//*****************************************************************************
tSensor* g_pCaptivateSensorArray[CAPT_SENSOR_COUNT] =
{
    &keypad64Button,
};


#if (CAPT_CONDUCTED_NOISE_IMMUNITY_ENABLE==true)
//*****************************************************************************
//
//! \var g_EMCConfig
//! This structure stores the EMC configuration for this application.
//
//*****************************************************************************
const tEMCConfig g_EMCConfig =
{
	.bEnableDynamicThresholdAdjustment = true,
	.bDynamicThresholdAdjustmentIsGlobal = true,
	.ui16CalibrationNoiseLimit = 10,
	.ui8CalibrationTestSampleSize = 8,
	.ui8NoiseThreshold = 20,
	.ui8MaxRelThreshAdj = 76,
	.ui8NoiseLevelFilterEntryThresh = 32,
	.ui8NoiseLevelFilterExitThresh = 0,
	.ui8LocalNoiseLevelFilterDown = 5,
	.ui8LocalNoiseLevelFilterUp = 1,
	.ui8GlobalNoiseLevelFilterDown = 5,
	.ui8GlobalNoiseLevelFilterUp = 1,
	.coeffA = _IQ31(0.0065),
	.coeffB = _IQ31(0.0100)
};
#endif

//*****************************************************************************
//
//! \var g_uiApp
//! This structure stores the global settings for this application.
//
//*****************************************************************************
tCaptivateApplication g_uiApp =
{
    .state = eUIActive,
	.pSensorList = &g_pCaptivateSensorArray[0],
    .ui8NrOfSensors = CAPT_SENSOR_COUNT,
    .ui8AppLPM = LPM3_bits,
    .bElementDataTxEnable = true,
    .bSensorDataTxEnable = false,
    .ui16ActiveModeScanPeriod = 125,
    .ui16WakeOnProxModeScanPeriod = 100,
    .ui16InactivityTimeout = 32,
    .ui8WakeupInterval = 5,
};
