/* --COPYRIGHT--,BSD
 * Copyright (c) 2014, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/

// Generated by Captivate Design Center v1_00_00_00 on Wed Oct 28 16:43:49 CDT 2015


//*****************************************************************************
// CAPT_UserConfig.c
//
// \version 1.01.01.00
// Released on Thu, Oct 15, 2015 12:27:24 AM
//
//*****************************************************************************

//*****************************************************************************
//
// NOTE: This is an automatically generated source code file!  The Captivate
// Design Center generates the User Configuration file automatically based
// upon the sensor layout that was created.
//
// Changes to this file will be OVERWRITTEN if a you select
// "Update Existing Project" under "Generate Source Code" in the Design Center.
//
// To avoid interference with the code generation process, keep ALL application
// code external to this file.
//
//*****************************************************************************

#include "CAPT_UserConfig.h"

//*****************************************************************************
//
//! Captivate Element Definitions
//! All elements in this application are defined below.
//! Each element has 3 components:
//!  1) a raw count array (One index per freq. scanned) (uint16_t)
//!  2) a tuning array (One index per freq. scanned) (tCaptivateElementTuning)
//!  3) a element structure (tElement)
//
//*****************************************************************************
// Sensor: keypad32Button1, Element: E00
uint16_t keypad32Button1_E00_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E00_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E00 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 18,
    .pRawCount = keypad32Button1_E00_RawCnts,
    .pTuning = keypad32Button1_E00_Tuning,
};

// Sensor: keypad32Button1, Element: E02
uint16_t keypad32Button1_E02_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E02_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E02 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 13,
    .pRawCount = keypad32Button1_E02_RawCnts,
    .pTuning = keypad32Button1_E02_Tuning,
};

// Sensor: keypad32Button1, Element: E04
uint16_t keypad32Button1_E04_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E04_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E04 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 20,
    .pRawCount = keypad32Button1_E04_RawCnts,
    .pTuning = keypad32Button1_E04_Tuning,
};

// Sensor: keypad32Button1, Element: E06
uint16_t keypad32Button1_E06_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E06_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E06 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 22,
    .pRawCount = keypad32Button1_E06_RawCnts,
    .pTuning = keypad32Button1_E06_Tuning,
};

// Sensor: keypad32Button1, Element: E01
uint16_t keypad32Button1_E01_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E01_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E01 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 17,
    .pRawCount = keypad32Button1_E01_RawCnts,
    .pTuning = keypad32Button1_E01_Tuning,
};

// Sensor: keypad32Button1, Element: E03
uint16_t keypad32Button1_E03_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E03_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E03 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 20,
    .pRawCount = keypad32Button1_E03_RawCnts,
    .pTuning = keypad32Button1_E03_Tuning,
};

// Sensor: keypad32Button1, Element: E05
uint16_t keypad32Button1_E05_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E05_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E05 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 20,
    .pRawCount = keypad32Button1_E05_RawCnts,
    .pTuning = keypad32Button1_E05_Tuning,
};

// Sensor: keypad32Button1, Element: E07
uint16_t keypad32Button1_E07_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E07_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E07 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 19,
    .pRawCount = keypad32Button1_E07_RawCnts,
    .pTuning = keypad32Button1_E07_Tuning,
};

// Sensor: keypad32Button1, Element: E08
uint16_t keypad32Button1_E08_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E08_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E08 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 0,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 13,
    .pRawCount = keypad32Button1_E08_RawCnts,
    .pTuning = keypad32Button1_E08_Tuning,
};

// Sensor: keypad32Button1, Element: E10
uint16_t keypad32Button1_E10_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E10_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E10 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 0,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 22,
    .pRawCount = keypad32Button1_E10_RawCnts,
    .pTuning = keypad32Button1_E10_Tuning,
};

// Sensor: keypad32Button1, Element: E12
uint16_t keypad32Button1_E12_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E12_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E12 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 0,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 20,
    .pRawCount = keypad32Button1_E12_RawCnts,
    .pTuning = keypad32Button1_E12_Tuning,
};

// Sensor: keypad32Button1, Element: E14
uint16_t keypad32Button1_E14_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E14_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E14 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 0,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 23,
    .pRawCount = keypad32Button1_E14_RawCnts,
    .pTuning = keypad32Button1_E14_Tuning,
};

// Sensor: keypad32Button1, Element: E09
uint16_t keypad32Button1_E09_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E09_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E09 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = keypad32Button1_E09_RawCnts,
    .pTuning = keypad32Button1_E09_Tuning,
};

// Sensor: keypad32Button1, Element: E11
uint16_t keypad32Button1_E11_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E11_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E11 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 23,
    .pRawCount = keypad32Button1_E11_RawCnts,
    .pTuning = keypad32Button1_E11_Tuning,
};

// Sensor: keypad32Button1, Element: E13
uint16_t keypad32Button1_E13_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E13_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E13 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 21,
    .pRawCount = keypad32Button1_E13_RawCnts,
    .pTuning = keypad32Button1_E13_Tuning,
};

// Sensor: keypad32Button1, Element: E15
uint16_t keypad32Button1_E15_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E15_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E15 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 18,
    .pRawCount = keypad32Button1_E15_RawCnts,
    .pTuning = keypad32Button1_E15_Tuning,
};

// Sensor: keypad32Button1, Element: E16
uint16_t keypad32Button1_E16_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E16_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E16 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 14,
    .pRawCount = keypad32Button1_E16_RawCnts,
    .pTuning = keypad32Button1_E16_Tuning,
};

// Sensor: keypad32Button1, Element: E18
uint16_t keypad32Button1_E18_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E18_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E18 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 18,
    .pRawCount = keypad32Button1_E18_RawCnts,
    .pTuning = keypad32Button1_E18_Tuning,
};

// Sensor: keypad32Button1, Element: E20
uint16_t keypad32Button1_E20_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E20_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E20 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 20,
    .pRawCount = keypad32Button1_E20_RawCnts,
    .pTuning = keypad32Button1_E20_Tuning,
};

// Sensor: keypad32Button1, Element: E22
uint16_t keypad32Button1_E22_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E22_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E22 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 25,
    .pRawCount = keypad32Button1_E22_RawCnts,
    .pTuning = keypad32Button1_E22_Tuning,
};

// Sensor: keypad32Button1, Element: E17
uint16_t keypad32Button1_E17_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E17_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E17 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 20,
    .pRawCount = keypad32Button1_E17_RawCnts,
    .pTuning = keypad32Button1_E17_Tuning,
};

// Sensor: keypad32Button1, Element: E19
uint16_t keypad32Button1_E19_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E19_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E19 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 11,
    .pRawCount = keypad32Button1_E19_RawCnts,
    .pTuning = keypad32Button1_E19_Tuning,
};

// Sensor: keypad32Button1, Element: E21
uint16_t keypad32Button1_E21_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E21_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E21 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 23,
    .pRawCount = keypad32Button1_E21_RawCnts,
    .pTuning = keypad32Button1_E21_Tuning,
};

// Sensor: keypad32Button1, Element: E23
uint16_t keypad32Button1_E23_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E23_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E23 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 24,
    .pRawCount = keypad32Button1_E23_RawCnts,
    .pTuning = keypad32Button1_E23_Tuning,
};

// Sensor: keypad32Button1, Element: E24
uint16_t keypad32Button1_E24_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E24_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E24 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 23,
    .pRawCount = keypad32Button1_E24_RawCnts,
    .pTuning = keypad32Button1_E24_Tuning,
};

// Sensor: keypad32Button1, Element: E26
uint16_t keypad32Button1_E26_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E26_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E26 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 27,
    .pRawCount = keypad32Button1_E26_RawCnts,
    .pTuning = keypad32Button1_E26_Tuning,
};

// Sensor: keypad32Button1, Element: E28
uint16_t keypad32Button1_E28_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E28_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E28 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 11,
    .pRawCount = keypad32Button1_E28_RawCnts,
    .pTuning = keypad32Button1_E28_Tuning,
};

// Sensor: keypad32Button1, Element: E30
uint16_t keypad32Button1_E30_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E30_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E30 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 24,
    .pRawCount = keypad32Button1_E30_RawCnts,
    .pTuning = keypad32Button1_E30_Tuning,
};

// Sensor: keypad32Button1, Element: E25
uint16_t keypad32Button1_E25_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E25_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E25 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 27,
    .pRawCount = keypad32Button1_E25_RawCnts,
    .pTuning = keypad32Button1_E25_Tuning,
};

// Sensor: keypad32Button1, Element: E27
uint16_t keypad32Button1_E27_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E27_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E27 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 22,
    .pRawCount = keypad32Button1_E27_RawCnts,
    .pTuning = keypad32Button1_E27_Tuning,
};

// Sensor: keypad32Button1, Element: E29
uint16_t keypad32Button1_E29_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E29_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E29 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 18,
    .pRawCount = keypad32Button1_E29_RawCnts,
    .pTuning = keypad32Button1_E29_Tuning,
};

// Sensor: keypad32Button1, Element: E31
uint16_t keypad32Button1_E31_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button1_E31_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button1_E31 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 21,
    .pRawCount = keypad32Button1_E31_RawCnts,
    .pTuning = keypad32Button1_E31_Tuning,
};

// Sensor: keypad32Button2, Element: E00
uint16_t keypad32Button2_E00_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E00_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E00 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 19,
    .pRawCount = keypad32Button2_E00_RawCnts,
    .pTuning = keypad32Button2_E00_Tuning,
};

// Sensor: keypad32Button2, Element: E02
uint16_t keypad32Button2_E02_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E02_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E02 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 25,
    .pRawCount = keypad32Button2_E02_RawCnts,
    .pTuning = keypad32Button2_E02_Tuning,
};

// Sensor: keypad32Button2, Element: E04
uint16_t keypad32Button2_E04_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E04_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E04 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 23,
    .pRawCount = keypad32Button2_E04_RawCnts,
    .pTuning = keypad32Button2_E04_Tuning,
};

// Sensor: keypad32Button2, Element: E06
uint16_t keypad32Button2_E06_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E06_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E06 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 21,
    .pRawCount = keypad32Button2_E06_RawCnts,
    .pTuning = keypad32Button2_E06_Tuning,
};

// Sensor: keypad32Button2, Element: E01
uint16_t keypad32Button2_E01_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E01_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E01 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 23,
    .pRawCount = keypad32Button2_E01_RawCnts,
    .pTuning = keypad32Button2_E01_Tuning,
};

// Sensor: keypad32Button2, Element: E03
uint16_t keypad32Button2_E03_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E03_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E03 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 23,
    .pRawCount = keypad32Button2_E03_RawCnts,
    .pTuning = keypad32Button2_E03_Tuning,
};

// Sensor: keypad32Button2, Element: E05
uint16_t keypad32Button2_E05_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E05_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E05 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 19,
    .pRawCount = keypad32Button2_E05_RawCnts,
    .pTuning = keypad32Button2_E05_Tuning,
};

// Sensor: keypad32Button2, Element: E07
uint16_t keypad32Button2_E07_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E07_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E07 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 10,
    .pRawCount = keypad32Button2_E07_RawCnts,
    .pTuning = keypad32Button2_E07_Tuning,
};

// Sensor: keypad32Button2, Element: E08
uint16_t keypad32Button2_E08_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E08_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E08 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 20,
    .pRawCount = keypad32Button2_E08_RawCnts,
    .pTuning = keypad32Button2_E08_Tuning,
};

// Sensor: keypad32Button2, Element: E10
uint16_t keypad32Button2_E10_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E10_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E10 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 21,
    .pRawCount = keypad32Button2_E10_RawCnts,
    .pTuning = keypad32Button2_E10_Tuning,
};

// Sensor: keypad32Button2, Element: E12
uint16_t keypad32Button2_E12_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E12_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E12 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 14,
    .pRawCount = keypad32Button2_E12_RawCnts,
    .pTuning = keypad32Button2_E12_Tuning,
};

// Sensor: keypad32Button2, Element: E14
uint16_t keypad32Button2_E14_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E14_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E14 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 20,
    .pRawCount = keypad32Button2_E14_RawCnts,
    .pTuning = keypad32Button2_E14_Tuning,
};

// Sensor: keypad32Button2, Element: E09
uint16_t keypad32Button2_E09_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E09_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E09 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 23,
    .pRawCount = keypad32Button2_E09_RawCnts,
    .pTuning = keypad32Button2_E09_Tuning,
};

// Sensor: keypad32Button2, Element: E11
uint16_t keypad32Button2_E11_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E11_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E11 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 23,
    .pRawCount = keypad32Button2_E11_RawCnts,
    .pTuning = keypad32Button2_E11_Tuning,
};

// Sensor: keypad32Button2, Element: E13
uint16_t keypad32Button2_E13_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E13_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E13 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 19,
    .pRawCount = keypad32Button2_E13_RawCnts,
    .pTuning = keypad32Button2_E13_Tuning,
};

// Sensor: keypad32Button2, Element: E15
uint16_t keypad32Button2_E15_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E15_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E15 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 13,
    .pRawCount = keypad32Button2_E15_RawCnts,
    .pTuning = keypad32Button2_E15_Tuning,
};

// Sensor: keypad32Button2, Element: E16
uint16_t keypad32Button2_E16_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E16_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E16 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 18,
    .pRawCount = keypad32Button2_E16_RawCnts,
    .pTuning = keypad32Button2_E16_Tuning,
};

// Sensor: keypad32Button2, Element: E18
uint16_t keypad32Button2_E18_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E18_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E18 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 24,
    .pRawCount = keypad32Button2_E18_RawCnts,
    .pTuning = keypad32Button2_E18_Tuning,
};

// Sensor: keypad32Button2, Element: E20
uint16_t keypad32Button2_E20_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E20_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E20 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 13,
    .pRawCount = keypad32Button2_E20_RawCnts,
    .pTuning = keypad32Button2_E20_Tuning,
};

// Sensor: keypad32Button2, Element: E22
uint16_t keypad32Button2_E22_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E22_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E22 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 10,
    .pRawCount = keypad32Button2_E22_RawCnts,
    .pTuning = keypad32Button2_E22_Tuning,
};

// Sensor: keypad32Button2, Element: E17
uint16_t keypad32Button2_E17_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E17_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E17 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 22,
    .pRawCount = keypad32Button2_E17_RawCnts,
    .pTuning = keypad32Button2_E17_Tuning,
};

// Sensor: keypad32Button2, Element: E19
uint16_t keypad32Button2_E19_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E19_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E19 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 20,
    .pRawCount = keypad32Button2_E19_RawCnts,
    .pTuning = keypad32Button2_E19_Tuning,
};

// Sensor: keypad32Button2, Element: E21
uint16_t keypad32Button2_E21_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E21_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E21 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 14,
    .pRawCount = keypad32Button2_E21_RawCnts,
    .pTuning = keypad32Button2_E21_Tuning,
};

// Sensor: keypad32Button2, Element: E23
uint16_t keypad32Button2_E23_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E23_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E23 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 16,
    .pRawCount = keypad32Button2_E23_RawCnts,
    .pTuning = keypad32Button2_E23_Tuning,
};

// Sensor: keypad32Button2, Element: E24
uint16_t keypad32Button2_E24_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E24_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E24 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 16,
    .pRawCount = keypad32Button2_E24_RawCnts,
    .pTuning = keypad32Button2_E24_Tuning,
};

// Sensor: keypad32Button2, Element: E26
uint16_t keypad32Button2_E26_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E26_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E26 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 22,
    .pRawCount = keypad32Button2_E26_RawCnts,
    .pTuning = keypad32Button2_E26_Tuning,
};

// Sensor: keypad32Button2, Element: E28
uint16_t keypad32Button2_E28_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E28_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E28 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 14,
    .pRawCount = keypad32Button2_E28_RawCnts,
    .pTuning = keypad32Button2_E28_Tuning,
};

// Sensor: keypad32Button2, Element: E30
uint16_t keypad32Button2_E30_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E30_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E30 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 14,
    .pRawCount = keypad32Button2_E30_RawCnts,
    .pTuning = keypad32Button2_E30_Tuning,
};

// Sensor: keypad32Button2, Element: E25
uint16_t keypad32Button2_E25_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E25_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E25 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 18,
    .pRawCount = keypad32Button2_E25_RawCnts,
    .pTuning = keypad32Button2_E25_Tuning,
};

// Sensor: keypad32Button2, Element: E27
uint16_t keypad32Button2_E27_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E27_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E27 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 22,
    .pRawCount = keypad32Button2_E27_RawCnts,
    .pTuning = keypad32Button2_E27_Tuning,
};

// Sensor: keypad32Button2, Element: E29
uint16_t keypad32Button2_E29_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E29_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E29 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 10,
    .pRawCount = keypad32Button2_E29_RawCnts,
    .pTuning = keypad32Button2_E29_Tuning,
};

// Sensor: keypad32Button2, Element: E31
uint16_t keypad32Button2_E31_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning keypad32Button2_E31_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement keypad32Button2_E31 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 17,
    .pRawCount = keypad32Button2_E31_RawCnts,
    .pTuning = keypad32Button2_E31_Tuning,
};


//*****************************************************************************
//
//! Captivate Time Cycle Definitions
//! All time cycles in this application are defined below.  Time cycles are
//! groups of elements that are measured together in parallel in one time slot.
//! Each cycle has 2 components:
//!  1) an element pointer array to the member elements (tElement*)
//!  2) a cycle structure (tCycle)
//
//*****************************************************************************
// Time Cycle: keypad32Button1_C00
tElement* keypad32Button1_C00_Elements[4] =
{
    &keypad32Button1_E00,
    &keypad32Button1_E02,
    &keypad32Button1_E04,
    &keypad32Button1_E06,
};
tCycle keypad32Button1_C00 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad32Button1_C00_Elements,
};

// Time Cycle: keypad32Button1_C01
tElement* keypad32Button1_C01_Elements[4] =
{
    &keypad32Button1_E01,
    &keypad32Button1_E03,
    &keypad32Button1_E05,
    &keypad32Button1_E07,
};
tCycle keypad32Button1_C01 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad32Button1_C01_Elements,
};

// Time Cycle: keypad32Button1_C02
tElement* keypad32Button1_C02_Elements[4] =
{
    &keypad32Button1_E08,
    &keypad32Button1_E10,
    &keypad32Button1_E12,
    &keypad32Button1_E14,
};
tCycle keypad32Button1_C02 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad32Button1_C02_Elements,
};

// Time Cycle: keypad32Button1_C03
tElement* keypad32Button1_C03_Elements[4] =
{
    &keypad32Button1_E09,
    &keypad32Button1_E11,
    &keypad32Button1_E13,
    &keypad32Button1_E15,
};
tCycle keypad32Button1_C03 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad32Button1_C03_Elements,
};

// Time Cycle: keypad32Button1_C04
tElement* keypad32Button1_C04_Elements[4] =
{
    &keypad32Button1_E16,
    &keypad32Button1_E18,
    &keypad32Button1_E20,
    &keypad32Button1_E22,
};
tCycle keypad32Button1_C04 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad32Button1_C04_Elements,
};

// Time Cycle: keypad32Button1_C05
tElement* keypad32Button1_C05_Elements[4] =
{
    &keypad32Button1_E17,
    &keypad32Button1_E19,
    &keypad32Button1_E21,
    &keypad32Button1_E23,
};
tCycle keypad32Button1_C05 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad32Button1_C05_Elements,
};

// Time Cycle: keypad32Button1_C06
tElement* keypad32Button1_C06_Elements[4] =
{
    &keypad32Button1_E24,
    &keypad32Button1_E26,
    &keypad32Button1_E28,
    &keypad32Button1_E30,
};
tCycle keypad32Button1_C06 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad32Button1_C06_Elements,
};

// Time Cycle: keypad32Button1_C07
tElement* keypad32Button1_C07_Elements[4] =
{
    &keypad32Button1_E25,
    &keypad32Button1_E27,
    &keypad32Button1_E29,
    &keypad32Button1_E31,
};
tCycle keypad32Button1_C07 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad32Button1_C07_Elements,
};

// Time Cycle: keypad32Button2_C00
tElement* keypad32Button2_C00_Elements[4] =
{
    &keypad32Button2_E00,
    &keypad32Button2_E02,
    &keypad32Button2_E04,
    &keypad32Button2_E06,
};
tCycle keypad32Button2_C00 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad32Button2_C00_Elements,
};

// Time Cycle: keypad32Button2_C01
tElement* keypad32Button2_C01_Elements[4] =
{
    &keypad32Button2_E01,
    &keypad32Button2_E03,
    &keypad32Button2_E05,
    &keypad32Button2_E07,
};
tCycle keypad32Button2_C01 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad32Button2_C01_Elements,
};

// Time Cycle: keypad32Button2_C02
tElement* keypad32Button2_C02_Elements[4] =
{
    &keypad32Button2_E08,
    &keypad32Button2_E10,
    &keypad32Button2_E12,
    &keypad32Button2_E14,
};
tCycle keypad32Button2_C02 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad32Button2_C02_Elements,
};

// Time Cycle: keypad32Button2_C03
tElement* keypad32Button2_C03_Elements[4] =
{
    &keypad32Button2_E09,
    &keypad32Button2_E11,
    &keypad32Button2_E13,
    &keypad32Button2_E15,
};
tCycle keypad32Button2_C03 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad32Button2_C03_Elements,
};

// Time Cycle: keypad32Button2_C04
tElement* keypad32Button2_C04_Elements[4] =
{
    &keypad32Button2_E16,
    &keypad32Button2_E18,
    &keypad32Button2_E20,
    &keypad32Button2_E22,
};
tCycle keypad32Button2_C04 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad32Button2_C04_Elements,
};

// Time Cycle: keypad32Button2_C05
tElement* keypad32Button2_C05_Elements[4] =
{
    &keypad32Button2_E17,
    &keypad32Button2_E19,
    &keypad32Button2_E21,
    &keypad32Button2_E23,
};
tCycle keypad32Button2_C05 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad32Button2_C05_Elements,
};

// Time Cycle: keypad32Button2_C06
tElement* keypad32Button2_C06_Elements[4] =
{
    &keypad32Button2_E24,
    &keypad32Button2_E26,
    &keypad32Button2_E28,
    &keypad32Button2_E30,
};
tCycle keypad32Button2_C06 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad32Button2_C06_Elements,
};

// Time Cycle: keypad32Button2_C07
tElement* keypad32Button2_C07_Elements[4] =
{
    &keypad32Button2_E25,
    &keypad32Button2_E27,
    &keypad32Button2_E29,
    &keypad32Button2_E31,
};
tCycle keypad32Button2_C07 =
{
    .ui8NrOfElements = 4,
    .pElements = keypad32Button2_C07_Elements,
};


//*****************************************************************************
//
//! Captivate Sensor Definitions
//! All sensors in this application are defined below.  Sensors are
//! groups of time cycles that utilize raw measurement data to create an
//! abstract sensor type, such as a button, slider, wheel, or prox sensor.
//! Each sensor has 3 components:
//!  1) a cycle pointer array to the member time cycles (tCycle*)
//!  2) a sensor-specific parameter structure (tGenericSensorParams)
//!  3) a sensor structure (tSensor)
//
//*****************************************************************************
//Sensor: keypad32Button1
const tCycle* keypad32Button1_Cycles[8] =
{
    &keypad32Button1_C00,
    &keypad32Button1_C01,
    &keypad32Button1_C02,
    &keypad32Button1_C03,
    &keypad32Button1_C04,
    &keypad32Button1_C05,
    &keypad32Button1_C06,
    &keypad32Button1_C07,
};

tButtonSensorParams keypad32Button1_Params;
tSensor keypad32Button1 =
{
    // Basic Properties
    .TypeOfSensor = eButtonGroup,
    .SensingMethod = eProjected,
    .DirectionOfInterest = eDOIUp,
    .pvCallback = NULL,
    .ui8NrOfCycles = 8,
    .pCycle = keypad32Button1_Cycles,
    .pSensorParams = (tGenericSensorParams*)&keypad32Button1_Params,
    // Conversion Control Parameters
    .ui16ConversionCount = 250,
    .ui16ConversionGain = 100,
    .ui8FreqDiv = 1,
    .ui8ChargeLength = 0,
    .ui8TransferLength = 0,
    .bModEnable = false,
    .ui8BiasControl = 3,
    .bCsDischarge = true,
    .bLpmControl = false,
    .ui8InputSyncControl = 0,
    .bTimerSyncControl = false,
    .bIdleState = true,
    // Tuning  Parameters
    .ui16ProxThreshold = 12,
    .ui16NegativeTouchThreshold = 20,
    .ui16ErrorThreshold = 8191,
    .ui16TimeoutThreshold = 500,
    .ProxDbThreshold.DbIn = 2,
    .ProxDbThreshold.DbOut = 1,
    .TouchDbThreshold.DbIn = 2,
    .TouchDbThreshold.DbOut = 1,
    .bCountFilterEnable = false,
    .ui8CntBeta = 2,
    .bSensorHalt = false,
    .bPTSensorHalt = true,
    .bPTElementHalt = true,
    .ui8LTABeta = 7,
    .bReCalibrateEnable = true,
};

//Sensor: keypad32Button2
const tCycle* keypad32Button2_Cycles[8] =
{
    &keypad32Button2_C00,
    &keypad32Button2_C01,
    &keypad32Button2_C02,
    &keypad32Button2_C03,
    &keypad32Button2_C04,
    &keypad32Button2_C05,
    &keypad32Button2_C06,
    &keypad32Button2_C07,
};

tButtonSensorParams keypad32Button2_Params;
tSensor keypad32Button2 =
{
    // Basic Properties
    .TypeOfSensor = eButtonGroup,
    .SensingMethod = eProjected,
    .DirectionOfInterest = eDOIUp,
    .pvCallback = NULL,
    .ui8NrOfCycles = 8,
    .pCycle = keypad32Button2_Cycles,
    .pSensorParams = (tGenericSensorParams*)&keypad32Button2_Params,
    // Conversion Control Parameters
    .ui16ConversionCount = 350,
    .ui16ConversionGain = 150,
    .ui8FreqDiv = 1,
    .ui8ChargeLength = 0,
    .ui8TransferLength = 0,
    .bModEnable = false,
    .ui8BiasControl = 3,
    .bCsDischarge = true,
    .bLpmControl = false,
    .ui8InputSyncControl = 0,
    .bTimerSyncControl = false,
    .bIdleState = true,
    // Tuning  Parameters
    .ui16ProxThreshold = 8,
    .ui16NegativeTouchThreshold = 20,
    .ui16ErrorThreshold = 8191,
    .ui16TimeoutThreshold = 1000,
    .ProxDbThreshold.DbIn = 1,
    .ProxDbThreshold.DbOut = 0,
    .TouchDbThreshold.DbIn = 1,
    .TouchDbThreshold.DbOut = 0,
    .bCountFilterEnable = true,
    .ui8CntBeta = 1,
    .bSensorHalt = false,
    .bPTSensorHalt = true,
    .bPTElementHalt = true,
    .ui8LTABeta = 7,
    .bReCalibrateEnable = true,
};


//*****************************************************************************
//
//! \var g_pCaptivateSensorArray
//! This array allows for indexed access to any
//! sensor in the configuration.
//
//*****************************************************************************
tSensor* g_pCaptivateSensorArray[CAPT_SENSOR_COUNT] =
{
    &keypad32Button1,
    &keypad32Button2,
};


#if (CAPT_CONDUCTED_NOISE_IMMUNITY_ENABLE==true)
//*****************************************************************************
//
//! \var g_EMCConfig
//! This structure stores the EMC configuration for this application.
//
//*****************************************************************************
const tEMCConfig g_EMCConfig =
{
	.bEnableDynamicThresholdAdjustment = true,
	.bDynamicThresholdAdjustmentIsGlobal = true,
	.ui16CalibrationNoiseLimit = 10,
	.ui8CalibrationTestSampleSize = 8,
	.ui8NoiseThreshold = 20,
	.ui8MaxRelThreshAdj = 76,
	.ui8NoiseLevelFilterEntryThresh = 32,
	.ui8NoiseLevelFilterExitThresh = 0,
	.ui8LocalNoiseLevelFilterDown = 5,
	.ui8LocalNoiseLevelFilterUp = 1,
	.ui8GlobalNoiseLevelFilterDown = 5,
	.ui8GlobalNoiseLevelFilterUp = 1,
	.coeffA = _IQ31(0.0065),
	.coeffB = _IQ31(0.0100)
};
#endif

//*****************************************************************************
//
//! \var g_uiApp
//! This structure stores the global settings for this application.
//
//*****************************************************************************
tCaptivateApplication g_uiApp =
{
    .state = eUIActive,
	.pSensorList = &g_pCaptivateSensorArray[0],
    .ui8NrOfSensors = CAPT_SENSOR_COUNT,
    .ui8AppLPM = LPM3_bits,
    .bElementDataTxEnable = true,
    .bSensorDataTxEnable = false,
    .ui16ActiveModeScanPeriod = 12,
    .ui16WakeOnProxModeScanPeriod = 100,
    .ui16InactivityTimeout = 32,
    .ui8WakeupInterval = 5,
};
